package com.hfkj.service.discount;

import com.hfkj.entity.BsDiscountPkStockBatch;
import com.hfkj.entity.BsDiscountStockBatch;
import com.hfkj.entity.BsDiscountStockCode;

import java.util.List;
import java.util.Map;

/**
 * @className: BsDiscountPkStockBatchService
 * @author: HuRui
 * @date: 2024/9/2
 **/
public interface BsDiscountPkStockBatchService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(BsDiscountPkStockBatch data);

    /**
     * 增加库存
     * @param discountPkNo
     * @param stockCount
     */
    void addStock(String discountPkNo,Integer stockCount);

    /**
     * 回收优惠券包
     * @param stockCodeId 库存id
     */
    void recycle(Long stockCodeId);

    /**
     * 查询详情
     * @param batchNo
     * @return
     */
    BsDiscountPkStockBatch getStockBatchDetail(String batchNo);

    /**
     * 查询库存批次列表
     * @param param
     * @return
     */
    List<BsDiscountPkStockBatch> getStockBatchList(Map<String,Object> param);
}
